Subject: Re: [PATCHv4 3/4] sparc64: Avoid irqsave/restore on vio.lock if in_softirq()

From: Sowmini Varadhan <[email-masked]>
Date: Tue, 21 Oct 2014 18:39:52 -0400

On (10/22/14 09:35), Julian Calaby wrote:
> >  void vio_port_up(struct vio_driver_state *vio)
> >  {
> > -       unsigned long flags;
> > +       unsigned long flags = 0;
> 
> Is gcc not smart enough to know that this variable isn't used before
> it's set? (I assume it isn't used elsewhere in this function)

No, it's not used elsewhere in the function, and yes, I too was
surprised by the build warning, which is why I initialized it
as above.

--Sowmini